org.apache.maven.project

## Class MavenProjectBuildingResult

- java.lang.Object
- - org.apache.maven.project.MavenProjectBuildingResult

    public class MavenProjectBuildingResult
    extends java.lang.Object

Version:
  $Id: MavenProjectBuildingResult.java 495147 2007-01-11 07:47:53Z jvanzyl $
Author:
  Trygve Laugstøl

### Constructor Summary

Constructors
Constructor and Description
`MavenProjectBuildingResult(MavenProject project)`
`MavenProjectBuildingResult(ModelValidationResult modelValidationResult)`

### Method Summary

Methods
`ModelValidationResult` `getModelValidationResult()`
`MavenProject` `getProject()`
`boolean` `isSuccessful()` Returns true if the project is valid.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MavenProjectBuildingResult

    public MavenProjectBuildingResult(MavenProject project)

Parameters:
  `project` -

#### MavenProjectBuildingResult

    public MavenProjectBuildingResult(ModelValidationResult modelValidationResult)

### Method Detail

#### getModelValidationResult

    public ModelValidationResult getModelValidationResult()

Returns:
  Returns the modelValidationResult.

#### getProject

    public MavenProject getProject()

Returns:
  Returns the project.

#### isSuccessful

    public boolean isSuccessful()

Returns true if the project is valid.

Returns:
  Returns true if the project is valid.